Page 6 of 10 FirstFirst ... 4 5 6 7 8 ... LastLast
Results 51 to 60 of 96

Thread: Ghostscript plug-in

  1. #51
    Moderator Laurent's Avatar
    Join Date
    May 2007
    Location
    Brussels, Belgium
    Posts
    882
    Version
    IrfanView 4.25
    OS
    32-bit Win XP Pro SP3
    CPU Cores
    2

    Default

    Hi kentjday,

    Quote Originally Posted by kentjday View Post
    If I just run gswin32.exe with no parameters I get a window with this text:
    AFPL Ghostscript 8.54 (2006-05-17)
    Copyright (C) 2005 artofcode LLC, Benicia, CA. All rights reserved.
    This software comes with NO WARRANTY: see the file PUBLIC for details.
    GS>
    Well, everything is correct here.

    This is the contents of my test.ps file:
    newpath 200 600 50 0 360 arc stroke showpage
    This is correct too. But I don't get any error message from IrfanView. The only way I can force such error message is making a spelling error in the EPS or PS file. Put your test.ps file in the same directory as gswin32.exe and type the following at the GS> prompt:
    (test.ps) run
    it should display the circle without any error or warning. If there is one, this is the cause of IrfanView error message.

    But if I really can't convert to a vector format. I should try something else. Do you know of a free program that will work for me?
    Unluckily, I can't help you here.

    Laurent
    Before you post ... fill in your OS and IV version in your profile.

  2. #52
    Advanced User matera's Avatar
    Join Date
    May 2006
    Location
    3 miles below poverty level
    Posts
    1,384
    Version
    IrfanView 4.44
    OS
    64-bit Linux Distribution
    CPU Cores
    4

    Exclamation Windows profile barrier

    I never had any problem using IrfanView with PDFs until I installed 4.2.0. Now I have The Error Message! But I am not one to give up easily. I am not quite finished with the project, but I do know one thing now. I am thinking of starting a new thread in Bugreports.

    There is nothing wrong with either my IV or GS installations. However, I am not an Administrator in daily life, I am a lowly Poweruser It occurred to me to see if this could be having an effect.

    The answer was YES. If run IV as Admin, I can open PDFs all I want.

    It doesn't sseem to matter how I install either IV or GS, I can only open a PDF if I run IV as an administrator.

    What we have here is a failure to communicate with the operating system. Again. Yet. Is it a part of the adaptations to Vista that makes the problem worse now in XP? We need a solution to this! I will not go against my own security principles (and we know how Vista is). It is important that any user be able to open a file that uses a plugin.
    Its: Belongs to "It"
    It's: Shortened form of "It is"
    ---------------------
    Lose: Fail to keep
    Loose: Not tight

    ---------------------
    Plurals do not require apostrophes

  3. #53
    Moderator Laurent's Avatar
    Join Date
    May 2007
    Location
    Brussels, Belgium
    Posts
    882
    Version
    IrfanView 4.25
    OS
    32-bit Win XP Pro SP3
    CPU Cores
    2

    Default

    Hi matera,

    I confirm IrfanView is no more able to open EPS/PS/PDF files. And I will not work everyday as an administrator.
    I noticed that postscript.dll is now ver. 4.20.

    I hope the next version will have bug fixes rather than new features.

    Laurent
    Before you post ... fill in your OS and IV version in your profile.

  4. #54
    Advanced User matera's Avatar
    Join Date
    May 2006
    Location
    3 miles below poverty level
    Posts
    1,384
    Version
    IrfanView 4.44
    OS
    64-bit Linux Distribution
    CPU Cores
    4

    Default

    The fixed plugin works
    Its: Belongs to "It"
    It's: Shortened form of "It is"
    ---------------------
    Lose: Fail to keep
    Loose: Not tight

    ---------------------
    Plurals do not require apostrophes

  5. #55

    Default

    Quote Originally Posted by Q_A View Post
    Here's a little trick to make irfanview and all other image viewers use any GhostScript version!
    First of all you need to have GPL GhostScript installed.
    Open notepad and paste this text:
    "
    Windows Registry Editor Version 4.00

    [HKEY_LOCAL_MACHINE\SOFTWARE\AFPL Ghostscript]

    [HKEY_LOCAL_MACHINE\SOFTWARE\AFPL Ghostscript\8.57]
    "GS_DLL"="c:\\program files\\gs\\gs8.57\\bin\\gsdll32.dll"
    "GS_LIB"="c:\\program files\\gs\\gs8.57\\lib;c:\\program files\\gs\\fonts;c:\\program files\\gs\\gs8.57\\Resource"

    [HKEY_LOCAL_MACHINE\SOFTWARE\AFPL Ghostscript\8.57\bin]

    [HKEY_LOCAL_MACHINE\SOFTWARE\AFPL Ghostscript\8.57\bin\gsdll32]
    @="c:\\program files\\gs\\gs8.57\\bin\\gsdll32.dll"

    [HKEY_LOCAL_MACHINE\SOFTWARE\AFPL Ghostscript\8.57\bin\gswin32]
    @="c:\\program files\\gs\\gs8.57\\bin\\gswin32c.exe"

    "
    Save this file as GPLtoAFPL.reg
    Modify the reg keys to where you've installed ghostscript and import it in the registry.
    This little trick fools irfanview that the gpl'ed ghostscript is the AFPL'ed one.
    And I do bellive that this is a bug that shuld be fixed, Irfanview shuld check not only for HKEY_LOCAL_MACHINE\SOFTWARE\AFPL Ghostscript\ but allso for:HKEY_LOCAL_MACHINE\SOFTWARE\GPL Ghostscript\
    I found a more elegant solution that doesn't require re-editing the registry each time you upgrade GPL Ghostscript. I am using this with IrfanView 4.20 and GPL Ghostscript 8.62. I didn't want to run an old, possibly buggy or insecure version of AFPL Ghostscript. (A proper code fix inside of IrfanView to point to the correct current registry key would be even better. I discovered this solution by using the SysInternals Process Monitor to see where IrfanView had an error when viewing .PS/.EPS files.)

    The general idea is to use a registry link, similar to how the HKEY_CURRENT_USER key is an alias of an HKEY_USERS subkey.

    First, you need a copy of REGLN.EXE from http://www.tenox.tc/out/#regln . This is a command line tool to create Windows Registry links (other tools can also do this).

    Second, use REGLN to create a symbolic link between the HKLM GPL Postscript key and a new HKLM AFPL Postscript key in order to make IrfanView be able to handle .PS and .EPS files with GPL Postscript 8.62. IrfanView has 'AFPL' hardcoded into it. Run this from a command prompt:
    regln "HKEY_LOCAL_MACHINE\SOFTWARE\AFPL Ghostscript" "HKEY_LOCAL_MACHINE\SOFTWARE\GPL Ghostscript"

    You can also add a dummy registry warning key using Regedit as a heads up to yourself or others viewing this part of the registry in the future:
    [HKEY_LOCAL_MACHINE\SOFTWARE\GPL Ghostscript\warning - HKLM AFPL Ghostscript key is symbolically linked to HKLM GPL Ghostscript key (done with regln.exe)]

    One caveat with this solution: custom user created Registry symbolic links (like those created by REGLN) do not appear to work after Sysprep. To fix them, delete and recreate the symbolic link. Here is the delete command:
    regln -d "HKEY_LOCAL_MACHINE\SOFTWARE\AFPL Ghostscript"

    More info:
    http://windowsitpro.com/article/arti...stry-link.html
    http://windowsitpro.com/article/arti...ata-types.html
    http://www.codeproject.com/KB/system/regsymlink.aspx
    Last edited by hkazemi; 25.08.2008 at 07:38 PM. Reason: added info

  6. #56
    Advanced User matera's Avatar
    Join Date
    May 2006
    Location
    3 miles below poverty level
    Posts
    1,384
    Version
    IrfanView 4.44
    OS
    64-bit Linux Distribution
    CPU Cores
    4

    Default

    Hmmm......I need to study this
    Its: Belongs to "It"
    It's: Shortened form of "It is"
    ---------------------
    Lose: Fail to keep
    Loose: Not tight

    ---------------------
    Plurals do not require apostrophes

  7. #57

    Default

    If the user has installed the most current version of ghostscript (GPL Ghostscript) one has to rename the Registry Key HKLM\Software\GPL Ghostscript to AFPL Ghostscript.

    Than - for me - it works.

    In my opinion the search should be extended and default to GPL Ghostscript

  8. #58
    Moderator Frank's Avatar
    Join Date
    Nov 2005
    Location
    Berlin, Germany
    Posts
    1,527
    Version
    IrfanView 4.38
    OS
    64-bit Win 7 Professional SP1
    CPU Cores
    2

    Default

    In order to learn more about the differences between both versions (AFPL and GPL Ghostscript), please reads this:
    - Aladdin Free Public License
    - GNU General Public License

    I think, it was the intention of the author of "IrfanView" to choose only this kind (AFPL) of license!

  9. #59

    Default

    Further Development will be done for GPL only, as the AFPL licence was abandoned (see: http://en.wikipedia.org/wiki/Ghostscript)

    I hope for gpl ghostscript support in the next version of the plugin

  10. #60
    Moderator Frank's Avatar
    Join Date
    Nov 2005
    Location
    Berlin, Germany
    Posts
    1,527
    Version
    IrfanView 4.38
    OS
    64-bit Win 7 Professional SP1
    CPU Cores
    2

    Default

    V4.23


    Since the change to the program version 4.22/4.23 IrfanView supports both Ghostscript versions
    for reading EPS, PS and PDF format!


    That means: Now it's possible with AFPL Ghostscript and GPL Ghostscript to read these formats!

Thread Information

Users Browsing this Thread

There are currently 3 users browsing this thread. (0 members and 3 guests)

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •